classification
Title: Update bundled pip
Type: behavior Stage: resolved
Components: Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: dstufft Nosy List: berker.peksag, dstufft, ned.deily, paul.moore, steve.dower
Priority: release blocker Keywords:

Created on 2016-11-01 05:08 by steve.dower, last changed 2016-11-07 14:51 by berker.peksag. This issue is now closed.

Messages (4)
msg279849 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-11-01 05:08
I know you've already taken the fix I'm most concerned about (the new distlib version, https://github.com/pypa/pip/pull/4038), but this is a reminder that we really need a new release of pip to bundle with Python 3.6.0 beta 4.

I'm not hugely concerned as to whether it's an 8.2 or a 9.0 (but Ned might have a preference).
msg279850 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-11-01 05:08
Also, it can go into whatever versions you'd normally insert into. I just tagged 3.6 and 3.7 because they're the ones currently broken.
msg279870 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2016-11-01 10:42
Yea. I worked on trying to get this done over the weekend and I was l left with one issue left. Hoping to get that done in the next day or two.

Sent from my iPhone

> On Nov 1, 2016, at 1:08 AM, Steve Dower <report@bugs.python.org> wrote:
> 
> 
> Steve Dower added the comment:
> 
> Also, it can go into whatever versions you'd normally insert into. I just tagged 3.6 and 3.7 because they're the ones currently broken.
> 
> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue28574>
> _______________________________________
msg280201 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-11-07 14:51
It looks like this is now done in 0e69d97a408e (3.6) and be8b133d5d3e (default). Please reopen if I'm missing something here.
History
Date User Action Args
2016-11-07 14:51:29berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg280201

resolution: fixed
stage: needs patch -> resolved
2016-11-01 10:42:51dstufftsetmessages: + msg279870
2016-11-01 05:08:50steve.dowersetmessages: + msg279850
2016-11-01 05:08:09steve.dowercreate